Arduino

Reference Language | Libraries | Comparison | Changes

## Stepper: setSpeed(rpms)

#### Description

Sets the motor speed in rotations per minute (RPMs). This function doesn't make the motor turn, just sets the speed at which it will when you call step().

#### Parameters

rpms: the speed at which the motor should turn in rotations per minute - a positive number (long)

#### Returns

None

#### See also

- Stepper(steps, pin1, pin2)
- Stepper(steps, pin1, pin2, pin3, pin4)
- step(steps)

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes